Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.comm
Interface IConnectionController

All Known Implementing Classes:
  com.ibm.ulc.application.ULCContext

public abstract interface IConnectionController

An interface to get control over interesting connection events.

Method Summary
`void` | `connectionCreated(IConnection connection)` The given connection was created but not yet started.
`void` | `connectionEnded(IConnection connection, UlcTransportException ex)` The given connection was ended.
`void` | `connectionStarted(IConnection connection, UlcTransportException ex)` The given connection was started.

Method Detail

### connectionCreated

    public void connectionCreated(IConnection connection)

  The given connection was created but not yet started.
  Parameters:
    `connection` - IConnection
  See Also:
    `IConnection`

### connectionEnded

    public void connectionEnded(IConnection connection,
                                UlcTransportException ex)

  The given connection was ended. If the end was due to a problem the second argument is non-null and contains the reason for failure. This is a good place to remove yourself from the list of ConnectionControllers. The notification is stable with respect to changing lists.
  Parameters:
    `connection` - IConnection
    `ex` - UlcTransportConnection
  See Also:
    `Server`, `IConnection`, `UlcTransportException`

### connectionStarted

    public void connectionStarted(IConnection connection,
                                  UlcTransportException ex)

  The given connection was started. If the start was not successful the second argument is non-null and contains the reason for failure.
  Parameters:
    `connection` - IConnection
    `ex` - UlcTransportConnection
  See Also:
    `IConnection`, `UlcTransportException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD